Bug 1667827 - Add systemd timer units and split all the legacy cruff into separated legacy sub-package
Summary: Add systemd timer units and split all the legacy cruff into separated legacy ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rkhunter
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 09:05 UTC by Jóhann B. Guðmundsson
Modified: 2020-11-24 17:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:25:30 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
rkhunter.service (287 bytes, text/plain)
2019-01-21 09:06 UTC, Jóhann B. Guðmundsson
no flags Details
rkhunter.timer (235 bytes, text/plain)
2019-01-21 09:07 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2019-01-21 09:05:55 UTC
Description of problem:

When installing rkhunter I noticed that it was missing systemd timer units and had a dependency on crontab,creates textual log files ( which will in turn require logrotate ) and bunch of other legacy cruff.

Is it not time to split all the legacy cruff into seperated rkhunter-legacy subpackage and have rkhunter depend on systemd instead. ( have not look at at the spec file but based on rkhunters configuration file it should depend on mailx as well since the configuration file refers to it using the mails command by default )

Not seeing this is possible but if you are in any contact with upstream ( as all packagers should be ) then perhaps you could persuade upstream to look into supporting configuration snippets so  
Fedora/administrators specific overwrite configuration snippets could be placed in that directory, something along the lines of /etc/rkhunter.d/fedora.conf/admin-overwrite.conf

Attached are type unit file which should be sufficient as an replacement and be as base for you to lookinto for that cronjob...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2019-01-21 09:06:37 UTC
Created attachment 1522051 [details]
rkhunter.service

Comment 2 Jóhann B. Guðmundsson 2019-01-21 09:07:10 UTC
Created attachment 1522052 [details]
rkhunter.timer

Comment 3 Jóhann B. Guðmundsson 2019-01-21 09:10:47 UTC
There is an extra / here which could be misinterpreted upon reading

Should be

/etc/rkhunter.d/fedora.conf
/etc/rkhunter.d/01-admin-overwrite.conf
etc.. 

Basically just the modern requirement of having upstream support configuration snippets for environment specific deployment..

Comment 4 Ben Cotton 2019-08-13 16:50:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 19:34:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Ben Cotton 2020-11-03 15:07:55 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 17:25:30 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.